Gecode::Iter::Ranges::Map< I, M, false > Class Template Reference

Specialized mapping of ranges for non-strict maps. More...

`#include <ranges-map.hpp>`

## Protected Member Functions

void | next (void)
| Find next mapped range.
Protected Member Functions inherited from Gecode::Iter::Ranges::MinMax
void | finish (void)
| Set range such that iteration stops

## Protected Attributes

I | i
| Input range.
M | m
| Map for ranges.
Protected Attributes inherited from Gecode::Iter::Ranges::MinMax
int | mi
| Minimum of current range.
int | ma
| Maximum of current range.

## Constructors and initialization

| Map (void)
| Default constructor.
| Map (I &i)
| Initialize with ranges from i.
| Map (I &i, const M &m)
| Initialize with ranges from i and map m.
void | init (I &i)
| Initialize with ranges from i.
void | init (I &i, const M &m)
| Initialize with ranges from i and map m.

## Iteration control

void | operator++ (void)
| Move iterator to next range (if possible).

## Iteration control

bool | operator() (void) const
| Test whether iterator is still at a range or done.

## Range access

int | min (void) const
| Return smallest value of range.
int | max (void) const
| Return largest value of range.
unsigned int | width (void) const
| Return width of range (distance between minimum and maximum).

## Additional Inherited Members

| MinMax (void)
| Default constructor.
| MinMax (int min, int max)
| Initialize with range min to max.
bool | operator() (void) const
| Test whether iterator is still at a range or done.
int | min (void) const
| Return smallest value of range.
int | max (void) const
| Return largest value of range.
unsigned int | width (void) const
| Return width of range (distance between minimum and maximum).

## Detailed Description

template<class I, class M>
class Gecode::Iter::Ranges::Map< I, M, false >

Specialized mapping of ranges for non-strict maps.

Definition at line 82 of file ranges-map.hpp.

## Constructor & Destructor Documentation

## Map() [1/3]

template<class I, class M>

Gecode::Iter::Ranges::Map< I, M, false >::Map | ( | void |  | ) |

inline

Default constructor.

Definition at line 157 of file ranges-map.hpp.

## Map() [2/3]

template<class I, class M>

Gecode::Iter::Ranges::Map< I, M, false >::Map | ( | I & | i | ) |

inline

Initialize with ranges from i.

Definition at line 187 of file ranges-map.hpp.

## Map() [3/3]

template<class I, class M>

Gecode::Iter::Ranges::Map< I, M, false >::Map | ( | I & | i,
|  | const M & | m )

inline

Initialize with ranges from i and map m.

Definition at line 192 of file ranges-map.hpp.

## Member Function Documentation

## next()

template<class I, class M>

void Gecode::Iter::Ranges::Map< I, M, false >::next | ( | void |  | ) |

inline protected

Find next mapped range.

Definition at line 161 of file ranges-map.hpp.

## init() [1/2]

template<class I, class M>

void Gecode::Iter::Ranges::Map< I, M, false >::init | ( | I & | i | ) |

inline

Initialize with ranges from i.

Definition at line 176 of file ranges-map.hpp.

## init() [2/2]

template<class I, class M>

void Gecode::Iter::Ranges::Map< I, M, false >::init | ( | I & | i,
|  | const M & | m )

inline

Initialize with ranges from i and map m.

Definition at line 181 of file ranges-map.hpp.

## operator++()

template<class I, class M>

void Gecode::Iter::Ranges::Map< I, M, false >::operator++ | ( | void |  | ) |

inline

Move iterator to next range (if possible).

Definition at line 198 of file ranges-map.hpp.

## operator()()

bool Gecode::Iter::Ranges::Map< I, M, strict >::operator() | ( | void |  | ) | const

Test whether iterator is still at a range or done.

## min()

int Gecode::Iter::Ranges::Map< I, M, strict >::min | ( | void |  | ) | const

Return smallest value of range.

## max()

int Gecode::Iter::Ranges::Map< I, M, strict >::max | ( | void |  | ) | const

Return largest value of range.

## width()

unsigned int Gecode::Iter::Ranges::Map< I, M, strict >::width | ( | void |  | ) | const

Return width of range (distance between minimum and maximum).

## Member Data Documentation

## i

template<class I, class M>

I Gecode::Iter::Ranges::Map< I, M, false >::i

protected

Input range.

Definition at line 85 of file ranges-map.hpp.

## m

template<class I, class M>

M Gecode::Iter::Ranges::Map< I, M, false >::m

protected

Map for ranges.

Definition at line 87 of file ranges-map.hpp.

The documentation for this class was generated from the following file:

- gecode/iter/ranges-map.hpp